Index: gnome1.2/ORBit-0.5.1/ltconfig
diff -c gnome1.2/ORBit-0.5.1/ltconfig:1.1 gnome1.2/ORBit-0.5.1/ltconfig:1.2
*** gnome1.2/ORBit-0.5.1/ltconfig:1.1	Mon Jun 12 16:54:40 2000
--- gnome1.2/ORBit-0.5.1/ltconfig	Thu Aug 24 11:07:07 2000
***************
*** 696,702 ****
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
--- 696,702 ----
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
***************
*** 1115,1121 ****
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
--- 1115,1121 ----
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
***************
*** 1270,1308 ****
      fi
      ;;
  
!   aix4*)
!     hardcode_libdir_flag_spec='${wl}-b ${wl}nolibpath ${wl}-b ${wl}libpath:$libdir:/usr/lib:/lib'
!     hardcode_libdir_separator=':'
!     if test "$with_gcc" = yes; then
!       collect2name=`${CC} -print-prog-name=collect2`
!       if test -f "$collect2name" && \
! 	 strings "$collect2name" | grep resolve_lib_name >/dev/null
!       then
! 	# We have reworked collect2
! 	hardcode_direct=yes
        else
! 	# We have old collect2
! 	hardcode_direct=unsupported
! 	# It fails to find uninstalled libraries when the uninstalled
! 	# path is not listed in the libpath.  Setting hardcode_minus_L
! 	# to unsupported forces relinking
! 	hardcode_minus_L=yes
! 	hardcode_libdir_flag_spec='-L$libdir'
! 	hardcode_libdir_separator=
        fi
!       shared_flag='-shared'
      else
!       shared_flag='${wl}-bM:SRE'
!       hardcode_direct=yes
      fi
!     allow_undefined_flag=' ${wl}-berok'
!     archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!     archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!     case "$host_os" in aix4.[01]|aix4.[01].*)
!       # According to Greg Wooledge, -bexpall is only supported from AIX 4.2 on
!       always_export_symbols=yes ;;
!     esac
!    ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
--- 1270,1349 ----
      fi
      ;;
  
!   aix4* | aix5*)
!     # First test if we are trying to use run time linking, or normal AIX style linking.
!     # If -brtl is somewhere in LDFLAGS, we need to do run time linking.
!     aix_use_runtimelinking=no
!     for ld_flag in $LDFLAGS; do
!       if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl" ); then
!         aix_use_runtimelinking=yes
!         break
!       fi
!     done
!     if test "$aix_use_runtimelinking" = yes; then
!       hardcode_libdir_flag_spec='${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
! 	   strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
! 	  # We have reworked collect2
! 	  hardcode_direct=yes
!         else
! 	  # We have old collect2
! 	  hardcode_direct=unsupported
! 	  # It fails to find uninstalled libraries when the uninstalled
! 	  # path is not listed in the libpath.  Setting hardcode_minus_L
! 	  # to unsupported forces relinking
! 	  hardcode_minus_L=yes
! 	  hardcode_libdir_flag_spec='-L$libdir'
! 	  hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
        else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
        fi
!       allow_undefined_flag=' -Wl,-G'
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bnoentry${allow_undefined_flag}'
!       # It seems that -bexpall can do strange things, so it is better to
!       # generate a list of symbols to export.
!       always_export_symbols=yes
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
      else
!       hardcode_libdir_flag_spec='${wl}-bnolibpath ${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
!            strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
!           # We have reworked collect2
!           hardcode_direct=yes
!         else
!           # We have old collect2
!           hardcode_direct=unsupported
!           # It fails to find uninstalled libraries when the uninstalled
!           # path is not listed in the libpath.  Setting hardcode_minus_L
!           # to unsupported forces relinking
!           hardcode_minus_L=yes
!           hardcode_libdir_flag_spec='-L$libdir'
!           hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
!       else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
!       fi
!       # Warning - without using the other run time loading flags, -berok will
!       #           link without error, but may produce a broken library.
!       allow_undefined_flag=' ${wl}-berok'
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!       always_export_symbols=yes
      fi
!     ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
***************
*** 1800,1813 ****
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   # We preserve .a as extension for shared libraries though AIX4.2
!   # and later linker supports .so
!   library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
--- 1841,1860 ----
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4* | aix5*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   if test "$aix_use_runtimelinking" = yes; then
!     # If using run time linking (on AIX 4.2 or later) use lib<name>.so instead of
!     # lib<name>.a to let people know that these are not typical AIX shared libraries.
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
!   else
!     # We preserve .a as extension for shared libraries though AIX4.2
!     # and later linker supports .so
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
!   fi
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
Index: gnome1.2/ORBit-0.5.1/libIDL/ltconfig
diff -c gnome1.2/ORBit-0.5.1/libIDL/ltconfig:1.1 gnome1.2/ORBit-0.5.1/libIDL/ltconfig:1.2
*** gnome1.2/ORBit-0.5.1/libIDL/ltconfig:1.1	Mon Jun 12 16:54:42 2000
--- gnome1.2/ORBit-0.5.1/libIDL/ltconfig	Thu Aug 24 11:08:49 2000
***************
*** 696,702 ****
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
--- 696,702 ----
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
***************
*** 1115,1121 ****
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
--- 1115,1121 ----
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
***************
*** 1270,1308 ****
      fi
      ;;
  
!   aix4*)
!     hardcode_libdir_flag_spec='${wl}-b ${wl}nolibpath ${wl}-b ${wl}libpath:$libdir:/usr/lib:/lib'
!     hardcode_libdir_separator=':'
!     if test "$with_gcc" = yes; then
!       collect2name=`${CC} -print-prog-name=collect2`
!       if test -f "$collect2name" && \
! 	 strings "$collect2name" | grep resolve_lib_name >/dev/null
!       then
! 	# We have reworked collect2
! 	hardcode_direct=yes
        else
! 	# We have old collect2
! 	hardcode_direct=unsupported
! 	# It fails to find uninstalled libraries when the uninstalled
! 	# path is not listed in the libpath.  Setting hardcode_minus_L
! 	# to unsupported forces relinking
! 	hardcode_minus_L=yes
! 	hardcode_libdir_flag_spec='-L$libdir'
! 	hardcode_libdir_separator=
        fi
!       shared_flag='-shared'
      else
!       shared_flag='${wl}-bM:SRE'
!       hardcode_direct=yes
      fi
!     allow_undefined_flag=' ${wl}-berok'
!     archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!     archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!     case "$host_os" in aix4.[01]|aix4.[01].*)
!       # According to Greg Wooledge, -bexpall is only supported from AIX 4.2 on
!       always_export_symbols=yes ;;
!     esac
!    ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
--- 1270,1352 ----
      fi
      ;;
  
!   aix4* | aix5*)
!     # First test if we are trying to use run time linking, or normal AIX style linking.
!     # If -brtl is somewhere in LDFLAGS, we need to do run time linking.
!     aix_use_runtimelinking=no
!     for ld_flag in $LDFLAGS; do
!       if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl" ); then
!         aix_use_runtimelinking=yes
!         break
!       fi
!     done
!     if test "$aix_use_runtimelinking" = yes; then
!       hardcode_libdir_flag_spec='${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
! 	   strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
! 	  # We have reworked collect2
! 	  hardcode_direct=yes
!         else
! 	  # We have old collect2
! 	  hardcode_direct=unsupported
! 	  # It fails to find uninstalled libraries when the uninstalled
! 	  # path is not listed in the libpath.  Setting hardcode_minus_L
! 	  # to unsupported forces relinking
! 	  hardcode_minus_L=yes
! 	  hardcode_libdir_flag_spec='-L$libdir'
! 	  hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
        else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
        fi
!       allow_undefined_flag=' -Wl,-G'
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bnoentry${allow_undefined_flag}'
!       # It seems that -bexpall can do strange things, so it is better to
!       # generate a list of symbols to export.
!       always_export_symbols=yes
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
      else
!       hardcode_libdir_flag_spec='${wl}-bnolibpath ${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
!            strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
!           # We have reworked collect2
!           hardcode_direct=yes
!         else
!           # We have old collect2
!           hardcode_direct=unsupported
!           # It fails to find uninstalled libraries when the uninstalled
!           # path is not listed in the libpath.  Setting hardcode_minus_L
!           # to unsupported forces relinking
!           hardcode_minus_L=yes
!           hardcode_libdir_flag_spec='-L$libdir'
!           hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
!       else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
!       fi
!       # Warning - without using the other run time loading flags, -berok will
!       #           link without error, but may produce a broken library.
!       allow_undefined_flag=' ${wl}-berok'
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!       case "$host_os" in aix4.[01]|aix4.[01].*)
!         # According to Greg Wooledge, -bexpall is only supported from AIX 4.2 on
!         always_export_symbols=yes ;;
!       esac
      fi
!     ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
***************
*** 1800,1813 ****
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   # We preserve .a as extension for shared libraries though AIX4.2
!   # and later linker supports .so
!   library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
--- 1844,1863 ----
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4* | aix5*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   if test "$aix_use_runtimelinking" = yes; then
!     # If using run time linking (on AIX 4.2 or later) use lib<name>.so instead of
!     # lib<name>.a to let people know that these are not typical AIX shared libraries.
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
!   else
!     # We preserve .a as extension for shared libraries though AIX4.2
!     # and later linker supports .so
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
!   fi
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
Index: gnome1.2/ORBit-0.5.1/popt/ltconfig
diff -c gnome1.2/ORBit-0.5.1/popt/ltconfig:1.1 gnome1.2/ORBit-0.5.1/popt/ltconfig:1.2
*** gnome1.2/ORBit-0.5.1/popt/ltconfig:1.1	Mon Jun 12 16:54:41 2000
--- gnome1.2/ORBit-0.5.1/popt/ltconfig	Thu Aug 24 13:22:05 2000
***************
*** 696,702 ****
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
--- 696,702 ----
  else
    # PORTME Check for PIC flags for the system compiler.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # All AIX code is PIC.
      link_static_flag='-bnso -bI:/lib/syscalls.exp'
      ;;
***************
*** 1115,1121 ****
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
--- 1115,1121 ----
  
    # See if GNU ld supports shared libraries.
    case "$host_os" in
!   aix3* | aix4* | aix5*)
      # On AIX, the GNU linker is very broken
      ld_shlibs=no
      cat <<EOF 1>&2
***************
*** 1270,1308 ****
      fi
      ;;
  
!   aix4*)
!     hardcode_libdir_flag_spec='${wl}-b ${wl}nolibpath ${wl}-b ${wl}libpath:$libdir:/usr/lib:/lib'
!     hardcode_libdir_separator=':'
!     if test "$with_gcc" = yes; then
!       collect2name=`${CC} -print-prog-name=collect2`
!       if test -f "$collect2name" && \
! 	 strings "$collect2name" | grep resolve_lib_name >/dev/null
!       then
! 	# We have reworked collect2
! 	hardcode_direct=yes
        else
! 	# We have old collect2
! 	hardcode_direct=unsupported
! 	# It fails to find uninstalled libraries when the uninstalled
! 	# path is not listed in the libpath.  Setting hardcode_minus_L
! 	# to unsupported forces relinking
! 	hardcode_minus_L=yes
! 	hardcode_libdir_flag_spec='-L$libdir'
! 	hardcode_libdir_separator=
        fi
!       shared_flag='-shared'
      else
!       shared_flag='${wl}-bM:SRE'
!       hardcode_direct=yes
      fi
!     allow_undefined_flag=' ${wl}-berok'
!     archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!     archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!     case "$host_os" in aix4.[01]|aix4.[01].*)
!       # According to Greg Wooledge, -bexpall is only supported from AIX 4.2 on
!       always_export_symbols=yes ;;
!     esac
!    ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
--- 1270,1352 ----
      fi
      ;;
  
!   aix4* | aix5*)
!     # First test if we are trying to use run time linking, or normal AIX style linking.
!     # If -brtl is somewhere in LDFLAGS, we need to do run time linking.
!     aix_use_runtimelinking=no
!     for ld_flag in $LDFLAGS; do
!       if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl" ); then
!         aix_use_runtimelinking=yes
!         break
!       fi
!     done
!     if test "$aix_use_runtimelinking" = yes; then
!       hardcode_libdir_flag_spec='${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
! 	   strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
! 	  # We have reworked collect2
! 	  hardcode_direct=yes
!         else
! 	  # We have old collect2
! 	  hardcode_direct=unsupported
! 	  # It fails to find uninstalled libraries when the uninstalled
! 	  # path is not listed in the libpath.  Setting hardcode_minus_L
! 	  # to unsupported forces relinking
! 	  hardcode_minus_L=yes
! 	  hardcode_libdir_flag_spec='-L$libdir'
! 	  hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
        else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
        fi
!       allow_undefined_flag=' -Wl,-G'
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bnoentry${allow_undefined_flag}'
!       # It seems that -bexpall can do strange things, so it is better to
!       # generate a list of symbols to export.
!       always_export_symbols=yes
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
      else
!       hardcode_libdir_flag_spec='${wl}-bnolibpath ${wl}-blibpath:$libdir:/usr/lib:/lib'
!       hardcode_libdir_separator=':'
!       if test "$with_gcc" = yes; then
!         collect2name=`${CC} -print-prog-name=collect2`
!         if test -f "$collect2name" && \
!            strings "$collect2name" | grep resolve_lib_name >/dev/null
!         then
!           # We have reworked collect2
!           hardcode_direct=yes
!         else
!           # We have old collect2
!           hardcode_direct=unsupported
!           # It fails to find uninstalled libraries when the uninstalled
!           # path is not listed in the libpath.  Setting hardcode_minus_L
!           # to unsupported forces relinking
!           hardcode_minus_L=yes
!           hardcode_libdir_flag_spec='-L$libdir'
!           hardcode_libdir_separator=
!         fi
!         shared_flag='-shared'
!       else
!         shared_flag='${wl}-bM:SRE'
!         hardcode_direct=yes
!       fi
!       # Warning - without using the other run time loading flags, -berok will
!       #           link without error, but may produce a broken library.
!       allow_undefined_flag=" ${wl}-berok"
!       archive_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bexpall ${wl}-bnoentry${allow_undefined_flag}'
!       archive_expsym_cmds="\$CC $shared_flag"' -o $objdir/$soname $libobjs $deplibs $linkopts ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}'
!       case "$host_os" in aix4.[01]|aix4.[01].*)
!         # According to Greg Wooledge, -bexpall is only supported from AIX 4.2 on
!         always_export_symbols=yes ;;
!       esac
      fi
!     ;;
  
    amigaos*)
      archive_cmds='$rm $objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $objdir/a2ixlibrary.data~$AR cru $lib $libobjs~$RANLIB $lib~(cd $objdir && a2ixlibrary -32)'
***************
*** 1800,1813 ****
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   # We preserve .a as extension for shared libraries though AIX4.2
!   # and later linker supports .so
!   library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
--- 1844,1863 ----
    soname_spec='${libname}${release}.so$major'
    ;;
  
! aix4* | aix5*)
    version_type=linux
    # AIX has no versioning support, so currently we can not hardcode correct
    # soname into executable. Probably we can add versioning support to
    # collect2, so additional links can be useful in future.
!   if test "$aix_use_runtimelinking" = yes; then
!     # If using run time linking (on AIX 4.2 or later) use lib<name>.so instead of
!     # lib<name>.a to let people know that these are not typical AIX shared libraries.
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
!   else
!     # We preserve .a as extension for shared libraries though AIX4.2
!     # and later linker supports .so
!     library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.a'
!   fi
    shlibpath_var=LIBPATH
    deplibs_check_method=pass_all
    ;;
Index: gnome1.2/ORBit-0.5.1/src/orb/allocators.c
diff -c gnome1.2/ORBit-0.5.1/src/orb/allocators.c:1.1 gnome1.2/ORBit-0.5.1/src/orb/allocators.c:1.2
*** gnome1.2/ORBit-0.5.1/src/orb/allocators.c:1.1	Mon Jun 12 16:54:43 2000
--- gnome1.2/ORBit-0.5.1/src/orb/allocators.c	Thu Aug 24 13:25:58 2000
***************
*** 200,206 ****
  		    ORBit_free_via_TypeCode(mem, &subtc, free_strings);
  		    /* the end of the body (subtc) may not be the
  		     * same as the end of the union */
! 		    retval = mem + sz;
  		}
  		break;
  	case CORBA_tk_wstring:
--- 200,206 ----
  		    ORBit_free_via_TypeCode(mem, &subtc, free_strings);
  		    /* the end of the body (subtc) may not be the
  		     * same as the end of the union */
! 		    retval = (guchar *)mem + sz;
  		}
  		break;
  	case CORBA_tk_wstring:
Index: gnome1.2/ORBit-0.5.1/src/orb/corba_any.c
diff -c gnome1.2/ORBit-0.5.1/src/orb/corba_any.c:1.1 gnome1.2/ORBit-0.5.1/src/orb/corba_any.c:1.2
*** gnome1.2/ORBit-0.5.1/src/orb/corba_any.c:1.1	Mon Jun 12 16:54:43 2000
--- gnome1.2/ORBit-0.5.1/src/orb/corba_any.c	Thu Aug 24 13:27:42 2000
***************
*** 276,293 ****
      case CORBA_tk_long:
      case CORBA_tk_enum:
  	retval = *(CORBA_long *)*val;
! 	if(update) *val += sizeof(CORBA_long);
  	break;
      case CORBA_tk_ushort:
      case CORBA_tk_short:
  	retval = *(CORBA_short *)*val;
! 	if(update) *val += sizeof(CORBA_short);
  	break;
      case CORBA_tk_char:
      case CORBA_tk_boolean:
      case CORBA_tk_octet:
  	retval = *(CORBA_octet *)*val;
! 	if(update) *val += sizeof(CORBA_char);
  	break;
      case CORBA_tk_alias:
  	return ORBit_get_union_switch(tc->subtypes[0], val, update);
--- 276,293 ----
      case CORBA_tk_long:
      case CORBA_tk_enum:
  	retval = *(CORBA_long *)*val;
! 	if(update) *val = (gpointer)((guchar *)*val + sizeof(CORBA_long));
  	break;
      case CORBA_tk_ushort:
      case CORBA_tk_short:
  	retval = *(CORBA_short *)*val;
! 	if(update) *val = (gpointer)((guchar *)*val + sizeof(CORBA_short));
  	break;
      case CORBA_tk_char:
      case CORBA_tk_boolean:
      case CORBA_tk_octet:
  	retval = *(CORBA_octet *)*val;
! 	if(update) *val = (gpointer)((guchar *)*val + sizeof(CORBA_char));
  	break;
      case CORBA_tk_alias:
  	return ORBit_get_union_switch(tc->subtypes[0], val, update);
Index: gnome1.2/ORBit-0.5.1/src/orb/corba_typecode.h
diff -c gnome1.2/ORBit-0.5.1/src/orb/corba_typecode.h:1.1 gnome1.2/ORBit-0.5.1/src/orb/corba_typecode.h:1.2
*** gnome1.2/ORBit-0.5.1/src/orb/corba_typecode.h:1.1	Mon Jun 12 16:54:43 2000
--- gnome1.2/ORBit-0.5.1/src/orb/corba_typecode.h	Thu Aug 24 13:30:37 2000
***************
*** 59,65 ****
  	CORBA_tk_wchar=26,
  	CORBA_tk_wstring=27,
  	CORBA_tk_fixed=28,
! 	CORBA_tk_recursive=0xffffffff,
  	CORBA_tk_last=29	/* hack for GIOP */
  } CORBA_TCKind;
  
--- 59,65 ----
  	CORBA_tk_wchar=26,
  	CORBA_tk_wstring=27,
  	CORBA_tk_fixed=28,
! 	CORBA_tk_recursive=(int)0xffffffff,
  	CORBA_tk_last=29	/* hack for GIOP */
  } CORBA_TCKind;
  
Index: gnome1.2/ORBit-0.5.1/src/orbit-idl-compiler/backends/c/orbit-idl-c-backend.h
diff -c gnome1.2/ORBit-0.5.1/src/orbit-idl-compiler/backends/c/orbit-idl-c-backend.h:1.1 gnome1.2/ORBit-0.5.1/src/orbit-idl-compiler/backends/c/orbit-idl-c-backend.h:1.2
*** gnome1.2/ORBit-0.5.1/src/orbit-idl-compiler/backends/c/orbit-idl-c-backend.h:1.1	Mon Jun 12 16:54:42 2000
--- gnome1.2/ORBit-0.5.1/src/orbit-idl-compiler/backends/c/orbit-idl-c-backend.h	Thu Aug 24 13:34:48 2000
***************
*** 16,24 ****
--- 16,31 ----
    OIDL_C_Info *ci;
    gchar *orb_name;
    guint8 last_tail_align;
+ #ifdef _AIX
+   /* with the AIX compiler, bitfields must be of type int */
+   guint8 alloc_on_stack; /* TRUE for demarshalling in skeletons, etc. */
+   guint8 endian_swap_pass; /* Demarshalling, again */
+   guint8 in_skels;
+ #else
    guint8 alloc_on_stack : 1; /* TRUE for demarshalling in skeletons, etc. */
    guint8 endian_swap_pass : 1; /* Demarshalling, again */
    guint8 in_skels : 1;
+ #endif
  } OIDL_C_Marshal_Info;
  
  void orbit_idl_output_c(OIDL_Output_Tree *tree, OIDL_Run_Info *rinfo);
